net.minecraft.network.play.server

## Class S35PacketUpdateTileEntity

- java.lang.Object
- - net.minecraft.network.Packet
  - - net.minecraft.network.play.server.S35PacketUpdateTileEntity

-     public class S35PacketUpdateTileEntity
      extends Packet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `S35PacketUpdateTileEntity()`
    `S35PacketUpdateTileEntity(int p_i45175_1_, int p_i45175_2_, int p_i45175_3_, int p_i45175_4_, NBTTagCompound p_i45175_5_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_148853_f()`
    `int` | `func_148854_e()`
    `int` | `func_148855_d()`
    `int` | `func_148856_c()`
    `NBTTagCompound` | `func_148857_g()`
    `void` | `processPacket(INetHandler p_148833_1_)`
    `void` | `processPacket(INetHandlerPlayClient p_148858_1_)`
    `void` | `readPacketData(PacketBuffer p_148837_1_)`
    `void` | `writePacketData(PacketBuffer p_148840_1_)`

    - ### Methods inherited from class net.minecraft.network.Packet

      `generatePacket, hasPriority, readBlob, serialize, toString, writeBlob`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### S35PacketUpdateTileEntity

          public S35PacketUpdateTileEntity()

    - #### S35PacketUpdateTileEntity

          public S35PacketUpdateTileEntity(int p_i45175_1_,
                                   int p_i45175_2_,
                                   int p_i45175_3_,
                                   int p_i45175_4_,
                                   NBTTagCompound p_i45175_5_)

  - ### Method Detail

    - #### readPacketData

          public void readPacketData(PacketBuffer p_148837_1_)
                              throws java.io.IOException

      Specified by:
        `readPacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### writePacketData

          public void writePacketData(PacketBuffer p_148840_1_)
                               throws java.io.IOException

      Specified by:
        `writePacketData` in class `Packet`
      Throws:
        `java.io.IOException`

    - #### processPacket

          public void processPacket(INetHandlerPlayClient p_148858_1_)

    - #### processPacket

          public void processPacket(INetHandler p_148833_1_)

      Specified by:
        `processPacket` in class `Packet`

    - #### func_148856_c

          public int func_148856_c()

    - #### func_148855_d

          public int func_148855_d()

    - #### func_148854_e

          public int func_148854_e()

    - #### func_148853_f

          public int func_148853_f()

    - #### func_148857_g

          public NBTTagCompound func_148857_g()